=== modified file 'libdrizzle/drizzle.c'
--- libdrizzle/drizzle.c	2011-02-12 20:47:37 +0000
+++ libdrizzle/drizzle.c	2011-02-12 21:49:59 +0000
@@ -41,7 +41,6 @@
 
 #include "libdrizzle/common.h"
 
-
 /**
  * @addtogroup drizzle_static Static Drizzle Declarations
  * @ingroup drizzle

=== modified file 'libdrizzle/drizzle.h'
--- libdrizzle/drizzle.h	2011-02-12 19:46:19 +0000
+++ libdrizzle/drizzle.h	2011-02-12 21:49:59 +0000
@@ -48,10 +48,14 @@
 
 #ifdef _WIN32
 # define WIN32_LEAN_AND_MEAN
+
 # include <Windows.h>
 # include <winsock2.h>
 # include <ws2tcpip.h>
+# include <io.h>
 
+# undef close
+# define close _close
 typedef unsigned int in_port_t;
 typedef long ssize_t;
 

=== modified file 'win32/conn_uds.c'
--- win32/conn_uds.c	2010-12-04 02:13:38 +0000
+++ win32/conn_uds.c	2011-02-12 21:49:59 +0000
@@ -45,7 +45,7 @@
  * Common definitions
  */
 
-const char *drizzle_con_uds(drizzle_con_st *con)
+const char *drizzle_con_uds(const drizzle_con_st *con)
 {
   (void)con;
   return (const char *)NULL;

=== modified file 'win32/libdrizzle.vcxproj'
--- win32/libdrizzle.vcxproj	2011-02-12 21:34:49 +0000
+++ win32/libdrizzle.vcxproj	2011-02-12 21:49:59 +0000
@@ -51,7 +51,7 @@
     <ClCompile>
       <Optimization>Disabled</Optimization>
       <AdditionalIncludeDirectories>$(ProjectDir)\windows;$(ProjectDir);$(ProjectDir)\..;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
-      <PreprocessorDefinitions>WIN32;_DEBUG;_WINDOWS;_USRDLL;LIBDRIZZLE_EXPORTS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PreprocessorDefinitions>WIN32;_DEBUG;_WINDOWS;_USRDLL;LIBDRIZZLE_EXPORTS;_CRT_SECURE_NO_WARNINGS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <MinimalRebuild>true</MinimalRebuild>
       <BasicRuntimeChecks>EnableFastChecks</BasicRuntimeChecks>
       <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
@@ -71,7 +71,7 @@
   <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
     <ClCompile>
       <AdditionalIncludeDirectories>$(ProjectDir)\win32\windows;$(ProjectDir)\win32;$(ProjectDir);%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
-      <PreprocessorDefinitions>WIN32;NDEBUG;_WINDOWS;_USRDLL;LIBDRIZZLE_EXPORTS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
+      <PreprocessorDefinitions>WIN32;NDEBUG;_WINDOWS;_USRDLL;LIBDRIZZLE_EXPORTS;_CRT_SECURE_NO_WARNINGS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
       <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
       <PrecompiledHeader>
       </PrecompiledHeader>
@@ -141,4 +141,4 @@
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
   <ImportGroup Label="ExtensionTargets">
   </ImportGroup>
-</Project>
+</Project>
\ No newline at end of file

